%define module	HTML-Lint
%define name	perl-%{module}
%define version 2.06
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Module to check for HTML errors
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/HTML/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(HTML::Tagset)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This Perl module is used to check for HTML errors in strings or files.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/HTML
%{perl_vendorlib}/Test
%{_mandir}/*/*
%{_bindir}/*



%changelog
* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.06-1mdv2009.1
+ Revision: 320434
- update to new version 2.06

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-2mdv2009.0
+ Revision: 268521
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-1mdv2009.0
+ Revision: 214527
- update to new version 2.04

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.02-2mdv2008.0
+ Revision: 86471
- rebuild


* Mon Jun 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.02-1mdv2007.0
- First Mandriva release

